Bug 1483358 - Container Review Request: greenwave - Service for making decisions based on test results
Summary: Container Review Request: greenwave - Service for making decisions based on t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Container Images
Classification: Fedora
Component: Container Review
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-20 23:42 UTC by matt jia
Modified: 2018-05-04 06:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-04 06:16:02 UTC
Type: Bug
admiller: fedora-review+


Attachments (Terms of Use)

Description matt jia 2017-08-20 23:42:32 UTC
Container Build Info URL: https://fedorapeople.org/~mjia/containers/greenwave/Dockerfile
Description: Service for making decisions based on test results
Fedora Account System Username: mjia

Comment 1 Dan Callaghan 2017-08-21 04:14:24 UTC
This will need a README.md as per: https://fedoraproject.org/wiki/Container:Guidelines#Help_File

Comment 2 Dan Callaghan 2017-08-21 04:29:40 UTC
Also noticed a small typo:

MAINTAINER Matt Jia" <mjia@redhat.com>

It has an extraneous quote character.

Also according to https://docs.docker.com/engine/reference/builder/#maintainer-deprecated the MAINTAINER command is deprecated anyway. So maybe just drop it? We already have all the usual distribution-level mechanisms for maintainership here anyway. No reason we need to name a specific person in the Dockerfile.

Comment 4 Adam Miller 2017-08-23 13:15:17 UTC
Thanks for the initial review Dan, it all looks good with things updated based on your feedback.

APPROVED

Comment 5 Ralph Bean 2017-08-23 15:05:10 UTC
Filed https://pagure.io/releng/fedora-scm-requests/issue/283

Comment 6 Ralph Bean 2017-08-23 15:07:07 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/container/greenwave

Comment 7 Dan Callaghan 2017-08-23 17:59:07 UTC
Thanks Ralph! I see you've also imported the sources and done a build:

https://koji.fedoraproject.org/koji/buildinfo?buildID=960717

I can successfully docker pull candidate-registry.fedoraproject.org/f26/greenwave:latest

Comment 8 Fedora End Of Life 2018-05-03 08:21:38 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Dan Callaghan 2018-05-04 06:16:02 UTC
Oops. Probably should have closed this ages ago! Our greenwave container is working nicely.


Note You need to log in before you can comment on or make changes to this bug.